MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003141VCMIMechanics - Otherpublic2020-09-20 13:442021-01-25 15:12
Reportersmutkovski 
Assigned ToMikeLodz 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSLinuxOS VersionUbuntu 20.04
Product Version0.next 
Target VersionFixed in Version0.next 
Summary0003141: Morale always remains as neutral morale
DescriptionMorale always remains as neutral morale,
independently of artefacts, hero skill or other effects (both positive and negative alike).
Steps To ReproduceHave hero with leadership skill, morale boosting artefact or ,as seen in attached image, morale boosting map object.
Additional InformationVCMI 0.99 8c77f0488c21cbd6de7c77b34c58654d1d039f21 (client)
TagsNo tags attached.
Attached Filespng file icon morale.png [^] (557,054 bytes) 2020-09-20 13:44


? file icon Morale.vcgm1 [^] (2,993,429 bytes) 2020-09-20 13:45
? file icon Morale.vsgm1 [^] (2,999,888 bytes) 2020-09-20 13:45

- Relationships

-  Notes
(0007940)
Alyx182008 (reporter)
2020-10-06 15:10

I've noticed this too. Last build that worked for me was commit cc75b859d49c6bf43a1f55769b1a6aad5290d851 from May 25 2020. Neither positive nor negative morale have any effect in battle, and the icon remains stuck on neutral.
(0007971)
misiokles (reporter)
2021-01-08 16:27

Fixed in: https://github.com/vcmi/vcmi/commit/39de2f64357ab4f312d9043efd862ead33c61cc2 [^]

- Issue History
Date Modified Username Field Change
2020-09-20 13:44 smutkovski New Issue
2020-09-20 13:44 smutkovski File Added: morale.png
2020-09-20 13:45 smutkovski File Added: Morale.vcgm1
2020-09-20 13:45 smutkovski File Added: Morale.vsgm1
2020-10-06 15:10 Alyx182008 Note Added: 0007940
2021-01-08 16:27 misiokles Note Added: 0007971
2021-01-25 14:53 MikeLodz Status new => resolved
2021-01-25 14:53 MikeLodz Fixed in Version => 0.99
2021-01-25 14:53 MikeLodz Resolution open => fixed
2021-01-25 14:53 MikeLodz Assigned To => MikeLodz
2021-01-25 15:12 MikeLodz Product Version 0.99 => 0.next
2021-01-25 15:12 MikeLodz Fixed in Version 0.99 => 0.next

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2021 MantisBT Team
Hosting provided by DigitalOcean